petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatGetNearNullSpace

Get null space attached with MatSetNearNullSpace()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNearNullSpace(Mat mat,MatNullSpace *nullsp)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

nullsp -the null space object, NULL if not set

### See Also

MatSetNearNullSpace(), MatGetNullSpace(), MatNullSpaceCreate()

### Level

developer

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/tutorials/ex49.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages